import 'package:flutter/material.dart';

import 'package:shimmer_animation/shimmer_animation.dart';

/// Shimmer Widget when [HomeState] is [HomeLoading]
class TextContainerLoading extends StatelessWidget {
  const TextContainerLoading({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.only(
        right: 30,
        left: 30,
        top: (MediaQuery.of(context).size.height) * 0.1,
      ),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          Shimmer(
            color: Colors.grey.shade900,
            child: const SizedBox(
              height: 20,
              width: 300,
            ),
          ),
          SizedBox(
            height: (MediaQuery.of(context).size.height) * 0.01,
          ),
          Shimmer(
            color: Colors.grey.shade900,
            child: const SizedBox(
              height: 20,
              width: 100,
            ),
          ),
        ],
      ),
    );
  }
}
